<?php

namespace App\Http\Controllers;

use App\GrupoDeCompra;
use App\Http\Resources\PedidoOllasResource;
use App\TipoPedido;
use Illuminate\Http\Request;

class OllasController extends Controller
{
    public function show()
    {
        return view('auth/login');
    }

    public function pedido(GrupoDeCompra $gdc)
    {
        $tipoOlla = TipoPedido::firstOrCreate(['nombre' => 'olla']);
        $pedido = $gdc->subpedidos()->firstOrCreate([
            'nombre' => 'Pedido de Ollas de ' . $gdc->nombre,
            'tipo_pedido_id' => $tipoOlla->id,
            'cantidad_ollas' => 0,
        ]);
        return response()->json(new PedidoOllasResource($pedido));
    }

    public function actualizarCantidadOllas(GrupoDeCompra $gdc, Request $request)
    {
        $valid = $request->validate([
            'cantidad' => 'required|numeric|min:0',
        ]);
        $pedido = $gdc->subpedidos()->where([
            'nombre' => 'Pedido de Ollas de ' . $gdc->nombre
        ])->first();
        $pedido->cantidad_ollas = $valid['cantidad'];
        $pedido->save();
        return response()->noContent();
    }
}
